# Michigan.Ods.Sdk.Models.EdFiStudentCompetencyObjectiveReference
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**GradingPeriodDescriptor** | **string** | The name of the period for which grades are reported. | 
**GradingPeriodSchoolId** | **int?** | The identifier assigned to a school. | 
**GradingPeriodSchoolYear** | **int?** | The identifier for the grading period school year. | 
**GradingPeriodSequence** | **int?** | The sequential order of this period relative to other periods. | 
**Objective** | **string** | The designated title of the CompetencyObjective. | 
**ObjectiveEducationOrganizationId** | **int?** | The identifier assigned to an education organization. | 
**ObjectiveGradeLevelDescriptor** | **string** | The grade level for which the CompetencyObjective is targeted. | 
**StudentUniqueId** | **string** | A unique alphanumeric code assigned to a student. | 
**Link** | [**Link**](Link.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

