# Michigan.Ods.Sdk.Models.MiInterventionPrescriptionEffectiveness
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | 
**EffectivenessDate** | **DateTime?** | Date Staff provided Effectiveness feedback. | 
**InterventionPrescriptionReference** | [**EdFiInterventionPrescriptionReference**](EdFiInterventionPrescriptionReference.md) |  | 
**StaffReference** | [**EdFiStaffReference**](EdFiStaffReference.md) |  | 
**EffectSize** | **double?** | Effectiveness factor. | [optional] 
**FiveStar** | **int?** | Perception feedback, aggregated at district, isd, statewide, rated on student progress. | [optional] 
**FiveStarComment** | **string** | Narrative feedback associated with five star rating w/ assotication to person/email providing feedback. | [optional] 
**Growth** | **double?** | Growth - entered by teacher or assgned staff. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

